package ru.ulstu.extractor.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.ulstu.extractor.model.Branch;
import ru.ulstu.extractor.model.Repository;

import java.util.List;

public interface BranchRepository extends JpaRepository<Branch, Integer> {
    Branch findByRepositoryAndName(Repository repository, String name);

    List<Branch> findByRepositoryId(Integer repositoryId);
}
